bin=$(dirname $0)
if [ $# -ne 3 ]; then
	echo "Usage: <iScan.bed> <soap> <out-prefix>"
	exit 1
fi

iscan_bed=$1
soap=$2
outprefix=$3

echo "convert soap to bed... overlap soap.bed to genotype.bed... call SNP from overlapped file"
perl $bin/soap2bed_with_qual.pl 2 1 $soap 2>$outprefix.chr.count |  $bin/intersectBed -a stdin -b $iscan_bed -wo | perl $bin/call_solexa_SNP.pl - >$outprefix.snp 2>$outprefix.error.rate
perl $bin/calc_B_frac_v2.pl $outprefix.snp >$outprefix.Bfrac

